> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update mail template.

> 
    ROLES: RESOURCE_WRITE,RESOURCE_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml put /api/v1/mail/templates/{messageTemplateId}
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/mail/templates/{messageTemplateId}:
    put:
      tags:
        - Mail
      summary: Update mail template.
      description: |2-

            ROLES: RESOURCE_WRITE,RESOURCE_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: MailController_updateResource
      parameters:
        - name: messageTemplateId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMailTemplateDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    UpdateMailTemplateDto:
      type: object
      properties:
        name:
          type: string
          description: Name.
        category:
          type: string
          description: Category.
        desc:
          type: string
          description: Description.
        subject:
          type: string
          description: Subject.
        body:
          type: string
          description: Template Body.
        type:
          type: string
          description: Template type.
          enum:
            - DEFAULT
        version:
          type: number
          description: Provide current version.
      required:
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````